<p id="notice"><%= notice %></p>

<h2>
  <%= @definition.label %>
</h2>

<ol class="#contents">
<% @all_subdefinition.each do |f|  %>
<li><%= link_to f.label, anchor: "definition_"+ f.id.to_s %></li>
    <% end %>
</ol>

  <%= markdown2html(@definition.text) %>

<% if @query_table %>
<% @query_table.each do |i|  %>
<%= debug i.id %>
<code style="background: #eee">
  <%= p(i.sql) %>
</code>
<% end %>
<%= debug @execution_table %>
<% end %>

<% if @query_solution %>
<% @query_solution.each do |i|  %>
<%= debug i.id %>
<code style="background: #eee">
  <%= p(i.sql) %>
</code>
<% end %>
<%= debug @execution_solution %>
<% end %>

<% if @query_umlimage %>
<% @query_umlimage.each do |i|  %>
<%= debug i.id %>
<code style="background: #eee">
  <%= p(i.sql) %>
</code>
<% end %>
<%= debug @execution_umlimage %>
<% end %>

<%= link_to 'Edit', edit_definition_path(@definition) %> |
<%= link_to 'Back', definition_index_path %> |

<% @all_subdefinition.each do |f|  %>

  <h3 id="#definition_<%= f.id %>"><%= f.label %></h3>

  <%= markdown2html(f.text) %>

<%= link_to 'Edit', edit_definition_path(f) %>

    <% end %>
<%= link_to 'New', @definition.id.to_s + "/new" %>
